import { DatabaseSchema } from "./mysql-database-definition";
export default class TsBuilder {
    private tables;
    private views;
    mysqlTypes: {
        int: string;
        decimal: string;
        double: string;
        float: string;
        set: string;
        bigint: string;
        longblob: string;
        tinyint: string;
        date: string;
        datetime: string;
        timestamp: string;
        text: string;
        longtext: string;
        mediumtext: string;
        varchar: string;
    };
    singularizeClassNames: boolean;
    defaultClassName: string;
    optionalParameters: boolean;
    constructor(tables: DatabaseSchema, views: DatabaseSchema);
    private toFilename(name);
    private static normFolder(folder);
    renderFolder(folder: string, searchString?: string): Promise<void>;
    private getTsType(type);
    private buildTypeRow(col);
    renderTableFile(folder: string): void;
    renderViewFile(folder: string): void;
    private static listTables(schema, searchFor?);
    private listTables(searchFor?);
    private listViews(searchFor?);
    private getClassName(tableName);
    private renderTs(tableName, table);
}
